import { Lark } from "../types"
import LarkBaseService from "./base"

class LarkWikiService extends LarkBaseService {
  /**
   * 获取知识空间节点信息
   * @param token 文档的token
   * @returns
   */
  async getNodeInfo(token: string) {
    const path = `/wiki/v2/spaces/get_node`
    return this.post<Lark.WikiNodeData>(path, { token })
  }
}

export default LarkWikiService
